osl::record::NodeRecord Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::record::NodeRecord Class Reference

`#include <record.h>`

Collaboration diagram for osl::record::NodeRecord:
[legend]

## Public Member Functions
| NodeRecord ()
NodeType | getType () const
int | size () const
int | at (int index) const
void | setComment (const std::string &com)
const std::string & | getComment () const
void | addMoveRecord (int moveIndex)

## Private Attributes
NodeType | type
vector< int > | moves
std::string | comment

## Detailed Description

Definition at line 73 of file record.h.

## Constructor & Destructor Documentation

osl::record::NodeRecord::NodeRecord | ( | ) |  |
| inline

Definition at line 79 of file record.h.

## Member Function Documentation

void osl::record::NodeRecord::addMoveRecord | ( | int | moveIndex) |  |

Definition at line 35 of file record.cc.

References moves.

int osl::record::NodeRecord::at | ( | int | index) |  | const
| inline

Definition at line 82 of file record.h.

References moves.

Referenced by osl::record::Record::getMoves(), osl::record::Record::nodeOf(), osl::record::operator<<(), and osl::record::Record::operator[]().

const std::string& osl::record::NodeRecord::getComment | ( | ) |  | const
| inline

Definition at line 84 of file record.h.

References comment.

NodeType osl::record::NodeRecord::getType | ( | ) |  | const
| inline

Definition at line 80 of file record.h.

References type.

void osl::record::NodeRecord::setComment | ( | const std::string & | com) |  |
| inline

Definition at line 83 of file record.h.

References comment.

int osl::record::NodeRecord::size | ( | ) |  | const
| inline

Definition at line 81 of file record.h.

References moves.

Referenced by osl::record::Record::getMoves(), and osl::record::operator<<().

## Member Data Documentation

std::string osl::record::NodeRecord::comment
| private

Definition at line 77 of file record.h.

Referenced by getComment(), and setComment().

vector<int> osl::record::NodeRecord::moves
| private

Definition at line 76 of file record.h.

Referenced by at(), and size().

NodeType osl::record::NodeRecord::type
| private

Definition at line 75 of file record.h.

Referenced by getType().

The documentation for this class was generated from the following files:

- record.h
- record.cc